<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateXeroCustomersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('xero_customers', function (Blueprint $table) {
            $table->increments('id');
            $table->string('xero_contact_id', 191);
            $table->string('xero_contact_number', 191)->nullable();
            $table->string('contact_status', 191);
            $table->string('xero_account_number', 191)->nullable();
            $table->string('xero_name', 191);
            $table->string('email', 191)->nullable();
            $table->timestamps();
            $table->string('tax_type', 191)->default('OUTPUT2');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('xero_customers');
    }
}
